<?php

echo '<p><b>Mise à jour base de données <i class="fas fa-angle-double-right"></i> Version 0.37</b></p>
<ul class="maxwidth">';

mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0;1.8;#000' WHERE param_nom = 'edt_msgopt' AND valeur ='0'");
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '1;1.8;#000' WHERE param_nom = 'edt_msgopt' AND valeur ='1'");
echo '<li>Evolution du paramétrage pour le message sous l\'emploi du temps.</li>';

// Ajout de paramètres pour titrage sur l'emploi du temps
$espresa = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_titopt'");
$espresa_nb = mysqli_num_rows($espresa);
if($espresa_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_titopt', '0;1.8;#000;0', 'Option de titre sur l\'emploi du temps.')");
}
$espresa = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_tit'");
$espresa_nb = mysqli_num_rows($espresa);
if($espresa_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_tit', '', 'Contenu du titre sur l\'emploi du temps.')");
}
echo '<li>Ajout de paramètres pour titrage sur l\'emploi du temps.</li>';

$espresa = mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgajust'");
$espresa_nb = mysqli_num_rows($espresa);
if($espresa_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_id, param_nom, valeur, comments) VALUES ('', 'edt_imgajust', '0;-38;0;0;0;0', 'Paramètres pour ajustement de l\'image EDT extraite.')");
}
echo '<li>Ajout de paramètres pour ajustement de l\'image EDT extraite.</li>';

// Mise par défaut de couleurs dans _edtcode
mysqli_query($bdd,"UPDATE ".$prefix."_edtcode SET bgcolor_code = '#ffffff' WHERE bgcolor_code = ''");
echo '<li>Mise par défaut de couleurs dans _edtcode.</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.37' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.37.</li></ul>';
?>